Zoltan User's Guide | Next | Previous

## Cyclic

A simple partitioner based on cyclic (round robin) partitioning of the objects. It uses neither geometry nor connectivity (graph/hypergraph), so it requires very few query functions. This method currently does not take into account target part sizes nor weights, so the parts may not be balanced in this case!
Note that the partitioning is cyclic with respect to the local order of objects, and NOT by the global ids.

Method String: | Cyclic
Parameters: |
Required Query Functions: |
| ZOLTAN_NUM_OBJ_FN
| ZOLTAN_OBJ_LIST_FN

[Table of Contents | Next: Random | Previous: Block Partitioner | Privacy and Security]